import java.lang.Cloneable;

/**
 * An interface to support cloning with generics.
 * 
 * Since the {@code Cloneable} interface doesn't expose the {@code clone} method,
 * and {@code clone} is a protected method of {@code Object} we can use this interface
 * to enforce the cloneability constraint on generic types.
 * 
 * Whether this copy is deep or shallow is up to the user, just as with the
 * {@code Cloneable} interface.
 * 
 */
public interface CloneableEx extends Cloneable
{
	/**
	 * Returns a copy of the object.
	 * 
	 * @return
	 * 			A copy of the object.
	 */
	Object clone();
}