/**
 * A class to hold intersection information.
 * 
 * {@code Intersection} contains the time of intersection and the {@code Shape}
 * intersected.
 * 
 */
public class Intersection
{
	/**
	 * Constructs the default intersection where {@code time == NoIntersection}
	 * and {@code shape == null}.
	 */
	public Intersection() {}
	
	public Intersection( double time, Shape shape )
	{
		this.time = time;
		this.shape = shape;
	}
	
	/**
	 * The time of intersection, or {@code NoIntersection} 
	 * if there was no intersection
	 */
	public double time = NoIntersection;
	
	/** The shape intersected, or null if {@code time == NoIntersection} */ 
	public Shape shape = null;
	
	/** Double value that specifies there was no intersection. */
	public static double NoIntersection = Double.NaN;
}