import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.UIManager;

public class Main
{
	/**
	 * @param args the command line arguments
	 */
	public static void main( String[] args )
	{
		// Try to set the look and feel to the native style.
		try
		{
		    UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		}
		catch ( Exception ex )
		{
			JOptionPane.showMessageDialog( null,
					"Could not set native look and feel: " + ex.getMessage() +
					"\nUsing default look and feel.",
					"Error",
					JOptionPane.ERROR_MESSAGE
					);
			
			JFrame.setDefaultLookAndFeelDecorated( true );
		}
		
		// Check if a file to open was specified on the command line.
		String defaultSceneFile = null;
		if( args.length > 0 )
			defaultSceneFile = args[0];
		
		// Create the main window.
		JFrame frame = new RayTracerFrame(defaultSceneFile);
		frame.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
		frame.setVisible( true );
	}
}
