/**
 * An interface for loading data.
 */
public interface Persistent
{
	/**
	 * Loads data using the {@link DataParser} object.
	 * <p>
	 * A class overrides this function to load data that has been parsed.
	 * 
	 * @param dataParser
	 *            The {@code DataParser} to load data from.
	 */
	void load( DataParser dataParser );
}
