import java.awt.Image;

import javax.swing.*;


/**
 * A frame to encapsulate where the rendered image is shown.
 */
public class RenderFrame extends JFrame
{
	public RenderFrame()
	{
		setResizable( false );
		setTitle( "Render Window" );

		icon = new ImageIcon();
		imageLabel = new JLabel( icon );
		
		getContentPane().add( imageLabel );
	}

	/**
	 * Sets the image displayed in the frame.
	 * 
	 * @param image
	 * 			The image to be displayed.
	 */
	public void setImage( Image image )
	{
		icon.setImage( image );
		imageLabel.setSize( icon.getIconWidth(), icon.getIconHeight() );
		pack();
	}
	
	/**
	 * Returns the image in the frame.
	 * 
	 * @return
	 * 			The image in the frame.
	 */
	public Image getImage() { return icon.getImage(); }
	
	private ImageIcon icon;
	private JLabel imageLabel;
	
	private static final long serialVersionUID = 1L;
}