import java.util.ArrayList;

/**
 * Some utility functions.
 */
public final class Utilities
{
	/**
	 * Performs a deep copy of the specified {@code ArrayList}.
	 * @param <T>
	 * 			A type that extends the CloneableEx interface.
	 * @param arrayList
	 * 			The array list to be deep copied.
	 * @return
	 * 			A deep copy of the specified array list.
	 */
	@SuppressWarnings("unchecked")
	static public <T extends CloneableEx> ArrayList<T> deepCopy( ArrayList<T> arrayList )
	{
		ArrayList<T> newArrayList = new ArrayList<T>( arrayList.size() );
		for( T obj : arrayList )
			newArrayList.add( (T)obj.clone() );
		
		return newArrayList;
	}
}